import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRZoneManagementClusterTwoDCartesianVertexStruct extends _NSObject {
    static alloc(): _MTRZoneManagementClusterTwoDCartesianVertexStruct;
    static new(): _MTRZoneManagementClusterTwoDCartesianVertexStruct;
    init(): _MTRZoneManagementClusterTwoDCartesianVertexStruct;
    x(): _NSNumber;
    setX$(value: _NSNumber): void;
    y(): _NSNumber;
    setY$(value: _NSNumber): void;
}
export interface _MTRZoneManagementClusterTwoDCartesianVertexStruct extends _NSCopying {
}
